SynapSynapDocs
Hub REST API

Attention

The Attention operations of the Hub REST API (2 operations).

For BuildersOpen-source podSynap CloudGenerated from Synap-core/backend@c31e261ab (main)
GET
/attention/needs-you

Authorization

bearerAuth
headerAuthorizationBearer <API key>

Pod API key (Bearer) issued via /api/hub/setup/agent or pod admin tooling. Browser/web clients may use the X-Session-Token header instead. See GET /api/hub/auth/status to introspect the calling key.

Query Parameters

profileSlug*string
Length1 <= length
workspaceId?string
projectId?string
trackId?string
limit?integer
Range1 <= value <= 100

Response Body

Signals

application/json
  1. response
[key: string]?unknown
Example Request
curl -X GET 'https://pod.example.com/api/hub/attention/needs-you?profileSlug=string'
Example Response
{  "property1": null,  "property2": null}
GET
/attention/count

Authorization

bearerAuth
headerAuthorizationBearer <API key>

Pod API key (Bearer) issued via /api/hub/setup/agent or pod admin tooling. Browser/web clients may use the X-Session-Token header instead. See GET /api/hub/auth/status to introspect the calling key.

Query Parameters

profileSlug*string
Length1 <= length
workspaceId?string
projectId?string
trackId?string
limit?integer
Range1 <= value <= 100

Response Body

Count

application/json
  1. response
[key: string]?unknown
Example Request
curl -X GET 'https://pod.example.com/api/hub/attention/count?profileSlug=string'
Example Response
{  "property1": null,  "property2": null}